Get all cases Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/cases

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [participants, participants_count, type, status, tags, plans, custom_fields,groups,assigned_to].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[completed] boolean

    Filter cases by which have been completed

  • filter[in_progress] boolean

    Filter cases by which are still in progress

  • filter[type] string

    Comma separated list of case type UUIDs. Example fc4e2fad-d4f1-5c56-a869-60edc441ae16,add547bc-6097-5339-aaba-cbea59e79ee1

  • filter[status] string

    Comma separated string of statuses to filter by

  • filter[tags] string

    Comma separated string of tags to filter by

  • filter[plan_uuid] string

    Comma separated string of plan UUIDs to filter by.

  • filter[account_uuids] string

    Comma separated string of account UUIDs to filter by.

  • filter[circle_uuids] string

    Comma separated string of circle UUIDs to filter by.

  • filter[employee_account_uuids] string

    Comma separated string of employee accounts UUIDs to filter by.

  • filter[completed_after] string

    Filter cases which have a completed at date after.

  • filter[completed_before] string

    Filter cases which have a completed at date before.

  • filter[review_at_after] string

    Filter cases which have a review at date after.

  • filter[review_at_before] string

    Filter cases which have a review at date before.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • sort string

    Field to sort by. Valid fields are [created_at, name, status_position, value, completed_at, review_at]. Negative sign to denote DESC. Defaults to 'name'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        Name of the case

      • slug string

        Slug of the case

      • status object

        Case status

        Hide status attributes Show status attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • colour string
        • position integer
        • is_type_completed boolean
      • type object

        Case type

        Hide type attributes Show type attributes object
        • uuid string
        • name string
        • created_at string
        • updated_at string
      • review_at string

        Timestamp of when the case should be reviewed

      • assigned_to_uuids array[string]

        UUIDs of accounts that will be assigned to the case when it is created.

      • group_uuids array[string]

        UUIDs of groups that will be assigned when the case is created.

      • completed_at string

        Timestamp of when the case was completed

      • value object

        Expected value of this case

        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • status_position integer

        The case status's position on the status list. Starting from 1. Only used if you are formatting cases in a kanban layout.

      • participants_count integer

        The number of participants on the case

      • participants object

        Participants on this case (if included)

        Hide participants attributes Show participants attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • task_board_uuid string

        UUID of the task board

      • plans object

        Plans in this case (if included)

        Hide plans attributes Show plans attributes object
        • uuid string
        • created_at string
        • updated_at string
        • opened_at string
        • name string
        • type string
        • sub_type string
        • abstract_type string
        • policy_number string
        • proposal_reference string
        • status string
        • inactive_at string
        • inactive_reason string
        • agency_in_your_name boolean
        • agency_in_your_name_from string
        • originally_sold_by_firm boolean
        • under_advice boolean
        • visible_on_client_portal boolean
        • include_in_client_valuation boolean
        • show_on_joint boolean
        • shown_on_circles boolean
        • review_date string
        • on_panel boolean
        • is_group_scheme boolean
        • is_sub_group_scheme boolean
        • is_group_scheme_member boolean
        • advice_area string
        • main_account string
        • sub_accounts string
        • provider string
        • covers string
        • claims string
        • total_benefit_amount object
          Hide total_benefit_amount attributes Show total_benefit_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • total_benefits object
          Hide total_benefits attributes Show total_benefits attributes object
          • critical_illness object
            Hide critical_illness attributes Show critical_illness attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • family_income_benefit object
            Hide family_income_benefit attributes Show family_income_benefit attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
        • latest_valuations string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • valued_at string
        • original_valued_at string
        • client string
        • accounts string
        • seller string
        • linked_owners string
        • linked_plans string
        • visible_to_circles string
        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
        • cases string
        • tags string
        • is_wrap_product boolean
        • is_wrap_child boolean
        • wrap string
        • wrap_children string
        • linked_policy_numbers string
        • can_be_deleted string
        • contract_enquiry_account string
        • custom_fields string
        • external_references string
      • custom_fields array[object]

        Any custom fields on the model.

        Hide custom_fields attributes Show custom_fields attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • name string
        • reference string
        • is_required boolean
        • value string
        • selection_options array[string]
        • help_text string
GET /api/v1/cases
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/cases' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "8bca6be7-1942-4416-b942-dd97cd28e718",
      "created_at": "2026-06-08T16:08:02+01:00",
      "updated_at": "2026-06-08T16:08:02+01:00",
      "name": "finance",
      "slug": "finance",
      "status": {
        "uuid": "1a010683-e59d-47a5-a439-74aa7a9d4b06",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "name": "To Be Reviewed",
        "colour": "#23852B",
        "position": 5,
        "is_type_completed": false
      },
      "type": {
        "uuid": "dd265354-9f31-4b47-ad9d-9007688d21c9",
        "name": "Mortgage Plan",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00"
      },
      "review_at": "2026-06-08T16:08:02+01:00",
      "assigned_to_uuids": [
        "d6365684-6b73-47ae-9632-1b2fcaa0600f"
      ],
      "group_uuids": [
        "9f0516a7-e229-4a59-a911-b725c2b378b7"
      ],
      "completed_at": "2026-06-08T16:08:02+01:00",
      "value": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "status_position": 4,
      "participants_count": 4,
      "participants": {
        "uuid": "02a04ee1-9599-4399-a266-f1e86421a4a6",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-08T16:08:02+01:00",
        "next_review_date": "2026-06-08T16:08:02+01:00",
        "previous_review_date": "2026-06-08T16:08:02+01:00",
        "anniversary_review_date": "2026-06-08T16:08:02+01:00",
        "terms_of_business_at": "2026-06-08T16:08:02+01:00",
        "client_agreement_at": "2026-06-08T16:08:02+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-08",
        "last_interaction_at": "2026-06-08 16:08:02",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "task_board_uuid": "7d6059e3-254c-418c-a34b-19692c8b9643",
      "plans": {
        "uuid": "05690914-5fe5-4e11-8eff-a585561993d6",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "opened_at": "2026-06-08T16:08:02+01:00",
        "name": "Johns ISA",
        "type": "cash_account",
        "sub_type": "lifetime isa",
        "abstract_type": "asset",
        "policy_number": "AVIVA-123",
        "proposal_reference": "AB123456",
        "status": "inactive",
        "inactive_at": "2026-06-08T16:08:02+01:00",
        "inactive_reason": "claimed",
        "agency_in_your_name": true,
        "agency_in_your_name_from": "2025-06-08",
        "originally_sold_by_firm": true,
        "under_advice": true,
        "visible_on_client_portal": true,
        "include_in_client_valuation": true,
        "show_on_joint": true,
        "shown_on_circles": true,
        "review_date": "2025-06-08",
        "on_panel": true,
        "is_group_scheme": false,
        "is_sub_group_scheme": false,
        "is_group_scheme_member": false,
        "advice_area": "non_investment_insurance",
        "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
        "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
        "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
        "covers": "App\\Http\\Resources\\Plans\\CoverResource",
        "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
        "total_benefit_amount": {
          "amount": {
            "example": "25000000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£250,000.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "total_benefits": {
          "critical_illness": {
            "amount": {
              "example": "15000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£150,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "family_income_benefit": {
            "amount": {
              "example": "10000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£100,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          }
        },
        "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
        "value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "valued_at": "2026-06-08T16:08:02+01:00",
        "original_valued_at": "2026-06-07T16:08:02+01:00",
        "client": "App\\Http\\Resources\\AccountResource",
        "accounts": "App\\Http\\Resources\\AccountResource",
        "seller": "App\\Http\\Resources\\AccountResource",
        "linked_owners": "App\\Http\\Resources\\AccountResource",
        "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
        "visible_to_circles": "App\\Http\\Resources\\CircleResource",
        "statistics": {
          "recent_growth": 100
        },
        "cases": "App\\Http\\Resources\\CasesResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "is_wrap_product": false,
        "is_wrap_child": false,
        "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
        "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
        "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
        "can_be_deleted": "false",
        "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "custom_fields": [
        {
          "uuid": "7e6b5d89-5a1e-48a9-bd90-d6fa92bb6cde",
          "created_at": "2026-06-08T16:08:02+01:00",
          "updated_at": "2026-06-08T16:08:02+01:00",
          "type": "string",
          "name": "Favourite Drink",
          "reference": "favourite_drink",
          "is_required": false,
          "value": "Coffee",
          "selection_options": [
            "Coffee",
            "Tea",
            "Water"
          ],
          "help_text": "This is the client's favourite drink."
        }
      ]
    }
  ]
}